package cpcns.dingZhi.tool.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.tool.model.customization;
import cpcns.dingZhi.tool.service.IDingZhiService;
import cpcns.utils.CommStatic;
import cpcns.utils.DateUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@RequestMapping({"/dingZhiController"})
@Controller
public class DingZhiController extends DangAnBaseController {
  @Autowired
  private IDingZhiService dingZhiService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "tool/dingZhi_list";
  }
  
  @RequestMapping({"/toDingZhi.do"})
  public String toCreatTable(HttpServletRequest request, HttpServletResponse response, Model model) {
    customization obj = new customization();
    User user = getCurrentUser();
    if (user != null) {
      obj.setDingZhiRen(user.getMingCheng());
      obj.setDingZhiRenBiaoShi(user.getBiaoShi());
      obj.setDingZhiRiQi(DateUtil.getCurDate());
    } 
    model.addAttribute("custom", obj);
    return "tool/dingZhi";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      String paixutiaojian = "hangBiaoShi asc";
      PagerVO pagevo = this.dingZhiService.query_SQL(getUser(), this.start, this.number, this.table, map, CommStatic.getOrderBy(request, paixutiaojian));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("", "").replaceAll("DINGZHIMINGCHENG", "dingZhiMingCheng").replaceAll("MENLEI", "menLei").replaceAll("LEIXING", "leiXing")
        .replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("ISRELEASE", "isRelease").replaceAll("ISENABLE", "isEnable").replaceAll("ISFUJIAN", "isFuJian").replaceAll("BANBENHAO", "banBenHao")
        .replaceAll("DINGZHIREN", "dingZhiRen").replaceAll("DINGZHIRENBIAOSHI", "dingZhiRenBiaoShi").replaceAll("DINGZHIRIQI", "dingZhiRiQi").replaceAll("BEIZHU", "beiZhu").replaceAll("TEMPLATETYPE", "templateType");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/updateState.do"})
  public void updateState(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String state = request.getParameter("state");
      String filed = request.getParameter("filed");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        rm.setSuccess(true);
        Map<String, Object> map = new HashMap<>();
        map.put(filed, state);
        Map<String, Object> tj = new HashMap<>();
        tj.put("hangBiaoShi", hangBiaoShi);
        this.dingZhiService.updateBySQL("d_customization", map, tj);
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delet.do"})
  public void delet(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        info = "删除成功！";
        Map<String, Object> tj = new HashMap<>();
        tj.put("hangBiaoShi", hangBiaoShi);
        this.dingZhiService.deleteBySQL(tj);
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/dingZhiStr.do"})
  public String getDingZhiStr(HttpServletRequest request, HttpServletResponse response) {
    try {
      String tableName = request.getParameter("tableName");
      String dingZhi = this.dingZhiService.getDingZhiStr(tableName);
      write(response, dingZhi);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveDengJi.do"})
  public void saveDengJi(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    User user = getCurrentUser();
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    customization obj = (customization)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), customization.class);
    try {
      obj.setHangBiaoShi(Integer.valueOf(this.dingZhiService.getPk(this.table)));
      this.dingZhiService.saveDengJi(obj);
      rm.setSuccess(true);
      rm.setBeizhu((String)obj.getHangBiaoShi());
      info = "保存成功！";
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/save.do"})
  public void save(HttpServletRequest request, HttpServletResponse response) {
    String tableName = request.getParameter("tableName");
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (StringUtils.isBlank(tableName)) {
        rm.setSuccess(false);
        info = "请输入表名！";
      } else {
        String jiguo = this.dingZhiService.generateCode(request);
        if ("-1".equals(jiguo)) {
          rm.setSuccess(false);
          info = "操作失败！";
        } else if ("0".equals(jiguo)) {
          rm.setSuccess(true);
          info = "操作成功！";
        } else if ("1".equals(jiguo)) {
          rm.setSuccess(false);
          info = "没有数据属性信息！";
        } 
      } 
    } catch (Exception e) {
      rm.setSuccess(false);
      info = "操作失败！";
      e.printStackTrace();
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
